local elements = {}

addEventHandler('onVehicleStartEnter', root, 
	function(thePlayer, seat)
		if seat == 0 then
			removePed(thePlayer, source)
		end
	end
)

addEventHandler('onVehicleStartExit', root, 
	function(thePlayer, seat, jacked)
		if seat == 0 then
			if not jacked then
				local control = false

				if getControlState(thePlayer, 'vehicle_left') then
					control = 'vehicle_left'
				elseif getControlState(thePlayer, 'vehicle_right') then
					control = 'vehicle_right'
				end

				if control then
					if not elements[thePlayer] then
						elements[thePlayer] = {}
					end

					elements[thePlayer].timer = setTimer(
						function(player, vehicle, controlName)
							if isElement(player) and isElement(vehicle) then
								if controlName then
									elements[player].ped = createPed(0, 0, 0, 0)
									warpPedIntoVehicle(elements[player].ped, vehicle)
									setElementAlpha(elements[player].ped, 0)

									triggerClientEvent(getElementsByType('player'), 'setControl', elements[player].ped, controlName)
								end
							end
						end, 2000, 1, thePlayer, source, control
					)
				end
			end
		end
	end
)

function removePed(player, vehicle)
	if isElement(player) and isElement(vehicle) then
		local v = elements[player]
		if v then
			removePedFromVehicle(vehicle)
			if isElement(v.ped) then
				destroyElement(v.ped)
			end
		end
	end
end

addEventHandler('onPlayerQuit', root, 
	function()
		if elements[source] then
			for k, v in pairs(elements[source]) do
				if isElement(v) then
					destroyElement(v)
				end
			end
			elements[source] = nil
		end
	end
)